summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-01-24 23:31:59 -0500
committerJune McEnroe <june@causal.agency>2020-01-24 23:31:59 -0500
commitccdbd4fbd023e4aec6f26fad1e716746ecd88bd9 (patch)
treed465a44dec2add3f24902eeaa06182df56e18b1c
parentAdd Love Beyond Body, Space & Time (diff)
downloadsrc-ccdbd4fbd023e4aec6f26fad1e716746ecd88bd9.tar.gz
src-ccdbd4fbd023e4aec6f26fad1e716746ecd88bd9.zip
Capture standard error and allow failure in up -c
-rw-r--r--bin/up.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/up.sh b/bin/up.sh
index 1b44f9b8..0ff9e69b 100644
--- a/bin/up.sh
+++ b/bin/up.sh
@@ -28,7 +28,7 @@ uploadText() {
 uploadCommand() {
 	temp
 	echo "$ $*" > "${temp}/exec.txt"
-	"$@" >> "${temp}/exec.txt"
+	"$@" >> "${temp}/exec.txt" 2>&1 || true
 	upload "${temp}/exec.txt"
 }
 
35496babe006a18ba6c4ca1d083c&follow=1'>Add Tea with the Black DragonJune McEnroe 2024-11-05Add a bunch of photosJune McEnroe 2024-10-12Publish "film review"June McEnroe 2024-10-12Add photos from October 6June McEnroe 2024-10-12Add photos from October 5June McEnroe 2024-10-09Add photos from October 1June McEnroe 2024-10-07Add photos from September 29June McEnroe 2024-10-07Add photos from September 28June McEnroe 2024-10-07Add photos from September 22June McEnroe 2024-09-25Add photos from September 15June McEnroe 2024-09-24Add photos from September 14June McEnroe 2024-09-24Add photos from September 12June McEnroe 2024-09-24Add photos from September 7June McEnroe 2024-09-24Allow not having descriptionsJune McEnroe 2024-09-23Automatically select the last used lens for a bodyJune McEnroe 2024-09-19Add photos from September 5June McEnroe 2024-09-15Add some more film stocks to the listJune McEnroe 2024-09-13Add photos from September 2June McEnroe 2024-09-13Add Fomapan 200 to films listJune McEnroe 2024-09-10Add August 29 picnic photosJune McEnroe 2024-09-08Apply some bold to trips renderingJune McEnroe 2024-09-08Render trips hopefully more efficientlyJune McEnroe 2024-09-08Allow removing bodies and lensesJune McEnroe 2024-09-08Limit body width so it looks less silly on desktopJune McEnroe 2024-09-07Handle no film being loadedJune McEnroe 2024-09-07Fancy up the text a littleJune McEnroe